;;MIDPT.LSP Copyright 1998 HyperPics all rights reserved
;;
;;  Author: Lee Ambrosius,
;;             HyperPics

;;MIDPT
;;This routine takes to given points from the user and then calculates the midpoint 
;;of the two lines and places a small circle at the midpoint for easy reference.


(defun c:MIDPT ()
  (graphscr)
  (setq CMD (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (setq PT1 (getpoint "\nFirst point: "))                ;; Getting 1st point from user
  (setq X1 (car PT1))
  (setq Y1 (cadr PT1))
  (setq Z1 (caddr PT1))
  (setq PT2 (getpoint PT1 "\nSecond point: "))           ;; Getting 2nd point from user
  (setq X2 (car PT2))
  (setq Y2 (cadr PT2))
  (setq Z2 (caddr PT2))
  (setq XMID (/ (+ X1 X2) 2))
  (setq YMID (/ (+ Y1 Y2) 2))
  (setq ZMID (/ (+ Z1 Z2) 2))
  (setq MPT (list XMID YMID ZMID))
  (setq OS (getvar "osmode"))
  (setvar "osmode" 0)
  (command "._circle" MPT (/ (getvar "dimscale") 12.0))  ;; Creates circle at midpoint of points
  (setvar "osmode" OS)
  (redraw)
  (setvar "cmdecho" CMD)
 (princ)
)

(defun c:MD ()
  (c:MIDPT)
)

(princ)
  (prompt "\nEnter MD or MIDPT for the midpoint routine.")
(princ)
